<!-- <p>friends works!</p> -->
<!-- <div class="container-flui"> -->
<!-- <div class="ro "> -->
<!-- <div class=" con"> -->

    <div class="jumbotron">
        <p class="heading">{{"HEADING.friends"|translate}}</p>
        <div class="mb-3 ">
            <!-- <i class="fa fa-search" aria-hidden="true"></i> -->
            <!-- <input type="text" name="search" class="searchInput form-control" [(ngModel)]="searchTerm" placeholder="search"> -->
            <mat-form-field>
                <mat-label>{{"SEARCH.search"|translate}}</mat-label>
                <input type="text" matInput [(ngModel)]="searchTerm" name="search"
                    placeholder="{{'SEARCH.search'|translate}}">
            </mat-form-field>
        </div>
        <mat-divider></mat-divider>
        <mat-list *ngFor="let v of  usersList|search:searchTerm  ;  let i=index">
            <mat-list-item (click)="navigateToEdit(v.id)" class="">
                <div matLine>
                    <div class="row cursor">
                        <div class="col-md-6 text-left">
                            {{v.firstname}}
                        </div>
                        <div class="col-md-6 text-right">
                            <mat-checkbox class="example-margin" title="bookmark page" #checkBoxRef>
                                <div *ngIf="v.favourite">
                                    <span class="material-icons " style="float: right;">star</span>
                                </div>
                                <div *ngIf="!v.favourite">
                                    <span class="material-icons">star_border</span>
                                </div>
                            </mat-checkbox>
                        </div>
                    </div>
                </div>
            </mat-list-item>
            <mat-divider></mat-divider>
        </mat-list>
    
        <div class="text-right plus cursor">
            <i class="fa fa-plus p-1" aria-hidden="true" (click)="navigateToCreate()"></i>
        </div>